/* body */

@font-face {
    font-family: "Montserrat";
    src: url("../../fonts/Montserrat-Regular.ttf");
}

a {
    color: #000 !important;
    font-weight: bold;
}

a:hover {
    color: #ffffff;
}

.section {
    font-family: "Montserrat";
    background: #07091f;
    display: flex;
    min-height: 100vh;
}

.container {
    padding: 20px !important;
    background-color: #fff;
    border-radius: 20px;
}

.modal-content {
    padding: 50px !important;
    margin: auto;
    background-color: #fff;
    border-radius: 20px;
    width: 550px !important;
}

*::-webkit-scrollbar {
    height: 3px;
    width: 3px;
  }
  
  *::-webkit-scrollbar-track {
    background: #fff;
  }
  
*::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 100px;
    border: 3px solid #ccc;
  }

/* form header */

.main-heading,
.main-info,
.otp-container {
    /* margin: 10px 0; */
    width: 100%;
}

.main-heading p a {
    text-decoration: none;
}

.main-heading p a:hover {
    text-decoration: underline;
}

.frg-pswd {
    cursor: pointer;
    text-decoration: none;
}

.frg-pswd:hover {
    text-decoration: underline;
}

.main-heading h1 {
    font-size: 30px;
}

.main-heading p {
    font-size: 18px;
}

.otp-heading h4 {
    margin-top: 18px;
}

.otp-heading p {
    text-align: center;
    margin-top: 20px;
}

/* form input feild */

.sp_input-icon{
position: absolute;
top: 50%;
transform: translateY(-50%);
left: 15px;
}

.sp_input-1,
.sp_input-2,
.sp_input-3,
.sp_input-4 {
    outline: none;
    background-color: #efefef;
    border: 0px;
    border-radius: 30px;
    height: 60px;
    width: 100%;
    margin: 25px 0;
    background-repeat: no-repeat;
    background-position: 5% center;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    padding: 30px 50px;
    outline: none;
}

.iti{
    width: 100%;
}

.iti__country-list{
    max-width: 450px;
  }
/* form checkbox */

.checkbox-tc input {
    width: 16px;
    height: 16px;
}

.checkbox-tc label {
    font-size: 16px;
}

.error-msg{
    padding-left: 25px;
    position: absolute;
    text-align: start;
    width: 100%;
    left: 0;
    bottom: -8px;
    font-size: 11px;
    color: red;
    animation: fadeIn 0.1s linear;
  }

  @-webkit-keyframes fadeIn {
    from{
        opacity: 0;
    }
    to {
        opacity: 1;
    }
  }
.btn {
    padding: 10px;
    text-wrap: nowrap;
    font-size: 14px !important;
    color: #fff !important;
    /* width: 150px; */
    border-radius: 10px !important;
    background: linear-gradient(99deg, #ec3434 0%, #f7aa16 100%);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.input-field-otp{
    display: flex;
}

.input-field-otp input {
    height: 60px;
    width: 60px;
    border-radius: 6px;
    outline: none;
    font-size: 1.125rem;
    text-align: center;
    border: 1px solid #ddd;
    background-color: #eaeaea;
}

.iti--separate-dial-code .iti__selected-flag{
    border-radius: 5px 0 0 5px;
}

.otp-container {
    margin-bottom: 20px;
}

.otp-container p {
    margin-top: 10px;
}

@media screen and (min-width: 1201px) {
    .otp-box input {
        font-size: 30px;
    }
}

.input-field-otp input:focus {
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
}

.chckbx-prmotnl {
    margin-top: 20px;
}

.form-check-label {
    font-size: 16px;
}

.input-box {
    margin: 3px;
}

.go-back-btn {
    display: inline-block;
    border-radius: 10px;
    background: linear-gradient(99deg, #ec3434 0%, #f7aa16 100%);
    border: none;
    color: #ffffff;
    text-align: center;
    padding: 10px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
}

.go-back-btn span {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    transition: 0.5s;
}

.go-back-btn span img {
    cursor: pointer;
}

.go-back-btn span:after {
    content: "\00ab";
    position: absolute;
    opacity: 0;
    top: 50%;
    transform: translateY(-50%);
    left: -20px;
    transition: 0.5s;
}

.go-back-btn:hover span {
    padding-left: 25px;
}

.go-back-btn:hover span:after {
    opacity: 1;
    left: 0;
}

.brdr-seprator {
    width: 100%;
    height: 1px;
    margin: 5px auto;
    background-color: rgba(0, 0, 0, 0.2);
}

/* country-code selector */

.country-code-selector {
    background-color: #efefef;
    z-index: 9;
    position: absolute;
    top: 15px;
    left: 15px;
    border: none;
    overflow: auto;
    height: 50px;
    border-radius: 20px;
}

.country-code-selector option {
    font-size: 14px;
}

select.country-code-selector option:hover {
    box-shadow: 0 0 10px 100px #520000 inset;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}

/* login */
/* 
.eye-password {
  background-image: url("../../images/login/view.webp");
} */

/* selection dj or user radio button */

.tabs {
    display: flex;
    position: relative;
    background-color: #efefef;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    padding: 2.5rem 1rem;
    border-radius: 99px;
    width: 100%;
    height: 40px;
}

.tabs * {
    z-index: 2;
}

.radio-btn {
    margin: 20px 0;
}

.radio-btn input[type="radio"] {
    display: none;
}

.tab {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 100%;
    font-size: 16px;
    color: rgb(201, 201, 201);
    font-weight: 500;
    border-radius: 180px;
    cursor: pointer;
    transition: color 0.5s ease-in;
    margin: 0 auto;
    background: #efefef;
}

.radio-btn input[type="radio"]:checked + label {
    color: #ffffff;
    background: linear-gradient(100deg, #ec3434 0%, #f7aa16 100%);
}

#discount {
    width: 100%;
}

.dj-name-checkout {
    font-size: 24px;
    color: #ffffff;
    /* background: linear-gradient(100deg, #ec3434 0%, #f7aa16 100%); */
    background-size: 200% 200%;
    /* padding: 5px 10px; */
    border-radius: 10px;
    background: -webkit-linear-gradient(99deg, #ec3434 0%, #f7aa16 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 600;
    animation: smoothScroll 1s linear infinite;
}

.apply-btn {
    background: linear-gradient(100deg, #ec3434 0%, #f7aa16 100%);
    color: #fff;
    outline: none;
    border: none;
    border-radius: 10px;
    padding: 1px 10px;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25);
}

.coupon-input {
    background: #efefef;
    border-radius: 10px;
    padding: 5px 5px 5px 10px;
    outline: none;
    border: none;
}

.apply-btn:hover {
    background: linear-gradient(200deg, #ec3434 0%, #f7aa16 100%);
}

.w-information {
    width: 65%;
}

.w-title {
    width: 35%;
}

.recaptcha-container{
    margin: 15px 0 0 0 ;
}

@keyframes smoothScroll {
    0% {
        background-position: 100% 0%;
    }

    50% {
        background-position: 0% 100%;
    }

    100% {
        background-position: 100% 0%;
    }
}

/* .radio-btn input[id="radio-1"]:checked ~ .glider {
  transform: translateX(10%);
}

.radio-btn input[id="radio-2"]:checked ~ .glider {
  transform: translateX(2000%);
} */

/* .glider {
  position: absolute;
  height: 30px;
  width: 20px;
  background: linear-gradient(100deg, #ec3434 0%, #f7aa16 100%);
  z-index: 1;
  border-radius: 20px;
  transition: 0.25s ease-out;
} */

/* dropdown-css starts */



.dropdown-reg {
    width: 100%;
    position: relative;
    top: 0;
    /* margin: 2em; */
  }
  .select-reg {
    background: transparent;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* border: 2px #2a2f3b solid; */
    border-radius: 0.5em;
    /* padding: 1em; */
    cursor: pointer;
    transition: 0.3s;
  }
  .select-clicked {
    /* border: 2px #8e9a26 solid;
    box-shadow: 0 0 0.8em #9a9826; */
  }
  .select-reg:hover {
    /* background: #323741; */
  }
  .caret-reg {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 6px solid #fff;
    transition: 0.3s;
    position: absolute;
    pointer-events: none;
    right: 20px;
  }
  .caret-rotate {
    transform: rotate(180deg);
  }
  .menu-reg {
    list-style: none;
    padding: 0.2em 0.5em;
    background: #ffffff;
    border: 1px #363a432d solid;
    box-shadow: 0 0.5em 1em rgba(0, 0, 0, 0.2);
    border-radius: 0.5em;
    color: #9fa5b5;
    position: absolute;
    top: 4em;
    left: 50%;
    width: 100%;
    transform: translateX(-50%);
    opacity: 0;
    display: none;
    transition: 0.2s;
    z-index: 1;
  }
  .menu-reg li {
    padding: 0.7em 0.5em;
    margin: 0.3em 0;
    border-radius: 0.5em;
    cursor: pointer;
  }
  .menu-reg li:hover {
    background: linear-gradient(100deg, #ec3434 0%, #f7aa16 100%);
    color: #fff;

  }
  .active-reg {
    background: #eff1ff;
  }
  .menu-open-reg {
    display: block;
    opacity: 1;
  }

/* dropdown-css ends */

/* --------------------------------------------------------------------------------- */
/* responsiveness */

@media only screen and (min-width: 200px) and (max-width: 480px) {

    .modal-content {
        padding: 40px !important;
        width: 350px !important;
    }

    .sp_input-1 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 300px; */
    }

    .sp_input-2 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 300px; */
        padding: 0 50px;
    }

    .sp_input-3 {
        border-radius: 5px;
        padding: 30px 90px !important;
        /* width: 300px; */
    }

    .sp_input-4 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 300px; */
    }

    .input-field-otp input {
        height: 40px;
        width: 40px;
    }

    .input-box {
        margin: 3px;
    }

    .main-heading h4 {
        font-size: 20px;
    }

    .main-heading p {
        font-size: 16px;
    }

    .checkbox-tc label {
        font-size: 12px;
    }

    .form-check-label {
        font-size: 12px;
    }

    .frg-pswd {
        font-size: 12px;
    }

    .country-code-selector option {
        font-size: 12px;
    }
}

@media only screen and (min-width: 481px) and (max-width: 767px) {
    .container {
        padding: 30px !important;
        /* width: 450px !important; */
    }

    .modal-content {
        padding: 40px !important;
        width: 450px !important;
    }

    .main-heading h4 {
        font-size: 24px;
    }

    .main-heading p {
        font-size: 18px;
    }

    .sp_input-1 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 400px; */
    }

    .sp_input-2 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 400px; */
    }

    .sp_input-3 {
        border-radius: 5px;
        padding: 30px 90px !important;
        /* width: 400px; */
    }

    .sp_input-4 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 400px; */
    }

    .input-field-otp input {
        height: 50px;
        width: 50px;
    }

    .input-box {
        margin: 5px;
    }

    .checkbox-tc label {
        font-size: 12px;
    }

    .form-check-label {
        font-size: 14px;
    }

    .frg-pswd {
        font-size: 12px;
    }

    .country-code-selector option {
        font-size: 12px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .container {
        padding: 40px !important;
        /* width: 550px !important; */
    }

    .modal-content {
        padding: 40px !important;
        width: 550px !important;
    }

    .main-heading h4 {
        font-size: 24px;
    }

    .main-heading p {
        font-size: 20px;
    }

    .error-msg{
        font-size: 14px;
    }

    .sp_input-1 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .sp_input-2 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .sp_input-3 {
        border-radius: 5px;
        padding: 30px 90px !important;
        /* width: 500px; */
    }

    .sp_input-4 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .checkbox-tc label {
        font-size: 16px;
    }

    .form-check-label {
        font-size: 16px;
    }

    .frg-pswd {
        font-size: 16px;
    }

    .country-code-selector option {
        font-size: 12px;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1200px) {
    .container {
        padding: 40px !important;
        /* width: 550px !important; */
    }

    .modal-content {
        padding: 40px !important;
        width: 550px !important;
    }

    .main-heading h4 {
        font-size: 24px;
    }

    .main-heading p {
        font-size: 20px;
    }

    .error-msg{
        font-size: 16px;
    }

    .sp_input-1 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .sp_input-2 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .sp_input-3 {
        border-radius: 5px;
        padding: 30px 90px !important;
        /* width: 500px; */
    }

    .sp_input-4 {
        border-radius: 5px;
        padding: 30px 50px !important;
        /* width: 500px; */
    }

    .checkbox-tc label {
        font-size: 16px;
    }

    .form-check-label {
        font-size: 16px;
    }

    .frg-pswd {
        font-size: 16px;
    }

    .country-code-selector option {
        font-size: 12px;
    }
}

@media only screen and (min-width: 1201px) and (max-width: 1500px) {
    

.iti--separate-dial-code .iti__selected-flag{
    border-radius: 20px 0 0 20px;
}
    .main-heading h4 {
        font-size: 20px;
    }

    .main-heading p {
        font-size: 16px;
    }

    .error-msg{
        font-size: 16px;
    }

    .sp_input-1 {
        padding: 30px 50px !important;
    }

    .sp_input-2 {
        padding: 30px 50px !important;
    }

    .sp_input-3 {
        padding: 30px 90px !important;
    }
    .login_section .sp_input-3{
        width: 450px;
        }

    .sp_input-4 {
        padding: 30px 50px !important;
    }

    .checkbox-tc label {
        font-size: 14px;
    }

    .form-check-label {
        font-size: 14px;
    }

    .frg-pswd {
        font-size: 14px;
    }

    .country-code-selector option {
        font-size: 12px;
    }
}

@media only screen and (min-width: 1501px) {
    

    .iti--separate-dial-code .iti__selected-flag{
    border-radius: 20px 0 0 20px;
    }
    .error-msg{
        font-size: 16px;
    }
    .login_section .sp_input-3{
        width: 450px;
    }
}

@media screen and (min-width: 1201px) {
    .container {
        padding: 50px !important;
    }

    .main-heading,
    .main-info {
        width: 50%;
    }
    .w-information {
        width: 70%;
    }
    
    .w-title {
        width: 30%;
    }
}

#register-sections{
    padding: 40px !important;
    border-radius: 20px;
   }
#register-sections input{
    border-radius: 99px !important;
   }
   @media screen and (min-width:1500px){
   #register-sections{
     width:600px !important;
   }
   }
   
   @media screen and (min-width:1200px){
   #register-sections{
     width:650px !important;
   }
   
   }
   @media screen and (min-width:992px){
   #register-sections{
     width:580px !important;
   }
   
   }
   
   @media screen and (max-width:768px) {
   #register-sections{
     width:500px !important;
   }
     
   }
   @media screen and (max-width:480px) {
   #register-sections{
     width:90% !important;
   }
     
   }